/**
 * @public
 * Modifies an object to include the keys and values of another.
 * @param base - The object to be modified, must be a superset of extension.
 * @param extension - The object to be applied to `base`.
 *
 * @remarks
 * See {@link dictionaryOverwrite}.
 */
export declare function dictionaryOverwrite<TBase extends TExtension, TExtension extends object>(base: TBase, extension: TExtension): void;
